X2Go Bug report logs - #484
Daemonize with systemd needs detach_process=True

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Bengt Giger <bengt.giger@id.ethz.ch>

Date: Fri, 25 Apr 2014 13:05:02 UTC

Severity: normal

Tags: pending

Found in version 0.0.3

Fixed in version 0.0.3.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#484: X2Go issue (in src:x2gobroker) has been marked as pending for release
Reply-To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 484@bugs.x2go.org
Resent-From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Resent-To: x2go-dev@lists.berlios.de
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>
X-Loop: owner@bugs.x2go.org
Resent-Date: Tue, 06 May 2014 09:45:02 +0000
Resent-Message-ID: <handler.484.B484.13993694017417@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: followup 484
X-X2Go-PR-Package: x2gobroker
X-X2Go-PR-Keywords: 
Received: via spool by 484-submit@bugs.x2go.org id=B484.13993694017417
          (code B ref 484); Tue, 06 May 2014 09:45:02 +0000
Received: (at 484) by bugs.x2go.org; 6 May 2014 09:43:21 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS,
	URIBL_BLOCKED autolearn=ham version=3.3.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id A0E595DB17; Tue,  6 May 2014 11:43:18 +0200 (CEST)
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 484-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 484@bugs.x2go.org
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20140506094318.A0E595DB17@ymir.das-netzwerkteam.de>
Date: Tue,  6 May 2014 11:43:18 +0200 (CEST)
tag #484 pending
fixed #484 0.0.3.0
thanks

Hello,

X2Go issue #484 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=9eecfe5

The issue will most likely be fixed in src:x2gobroker (0.0.3.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 9eecfe557d3a7e204a8261a469956de17c8c0089
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue May 6 11:42:57 2014 +0200

    Explicitly set detach_process to True when calling daemon.DaemonContext(). Otherwise the daemons start but don't return to the cmdline prompt. (Fixes: #484).

diff --git a/debian/changelog b/debian/changelog
index 99c233d..08127cb 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -127,6 +127,9 @@ x2gobroker (0.0.3.0-0x2go1) UNRELEASED; urgency=low
     - Fix several failing tests, adapt tests to current code base.
     - Introduce new global parameter for x2gobroker.conf: my-cookie-file. Allow
       storing the initial authentication cookie/ID in a read-protected file.
+    - Explicitly set detach_process to True when calling daemon.DaemonContext().
+      Otherwise the daemons start but don't return to the cmdline prompt.
+      (Fixes: #484).
   * debian/control:
     + Replace LDAP support with session brokerage support in LONG_DESCRIPTION.
     + Fix SYNOPSIS texts.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Oct 26 23:34:23 2021; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.